Bug 41922 - JkEnvVar no longer works in apache 1.3
JkEnvVar no longer works in apache 1.3
Status: CLOSED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
All All
: P1 critical (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-03-21 11:59 UTC by Mike M.
Modified: 2008-10-05 03:10 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike M. 2007-03-21 11:59:19 UTC
In v1.2.19, in the apache-1.3 mod_jk.c code, the jk_add_env_var function used to do:

    conf->envvars_in_use = JK_TRUE;

The apache-2.0 code still does this in 1.2.21 but the apache-1.3 code no longer
does which causes JkEnvVar to not work at all.

I can't get ahold of 1.2.19 source or I would submit a patch for this.
Comment 1 Mike M. 2007-03-21 12:00:52 UTC
I forgot to mention.  We added that code snippet back into our local source and
recompiled it, tested it, and it worked.
Comment 2 Mladen Turk 2007-03-21 13:28:01 UTC
Fixed in the SVN. Will be part of 1.2.22
Thanks for spotting that.
Comment 3 Rainer Jung 2008-01-01 16:32:25 UTC
Move a couple of fixed JK issues from resolved to closed.